﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace WiRTSample
{
    public class BulletGraphModel:INotifyPropertyChanged
    {
        private double bulletActualHours;
        private double bulletTargetHours;
        private double maximum;
        private double rangeEnd;
        private string bulletCaption1;

        public double BulletActualHours
        {
            get
            {
                return bulletActualHours;
            }
            set
            {
                this.bulletActualHours = value;
                OnPropertyChanged("BulletActualHours");
            }
        }
        public double BulletTargetHours 
        { 
            get
            {
                return bulletTargetHours;
            }
            set
            {
                this.bulletTargetHours = value;
                OnPropertyChanged("BulletTargetHours");
            }
        }
        public double BulletGraphMaximum
        {
            get
            {
                return maximum;
            }
            set
            {
                this.maximum = value;
                OnPropertyChanged("Maximum");
            }
        }
        public double RangeEnd 
        { 
            get
            {
                return rangeEnd;
            }
             set
            {
                this.rangeEnd = value;
                OnPropertyChanged("RangeEnd");
            }
        }

        public  String BulletCaption1
        {
            get
            {
                return bulletCaption1;
            }
            set
            {
                this.bulletCaption1 = value;
                OnPropertyChanged("BulletCaption1");
            }
        }

        public event PropertyChangedEventHandler PropertyChanged;
        public void OnPropertyChanged(string name)
        {
            if (this.PropertyChanged != null)
                this.PropertyChanged(this, new PropertyChangedEventArgs(name));

        }
    }
    
}
